Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

## Interface IRepository

All Known Implementing Classes:
  `DerbyRepository`

    public interface IRepository

### Method Summary

All Methods Instance Methods Abstract Methods
`Long` `createEntity​(EntityEnum type, BaseEntityModel model)`
`List<BaseEntityModel>` `getAllEntities​(EntityEnum type)`
`List<BaseEntityModel>` `getAllEntitiesByField​(EntityEnum type, Object fieldValue)`
`BaseEntityModel` `getEntity​(EntityEnum type, Long id)`
`void` `removeEntity​(EntityEnum type, Long id)`
`void` `updateEntity​(EntityEnum type, BaseEntityModel model)`

### Method Detail

#### createEntity

    Long createEntity​(EntityEnum type,
                      BaseEntityModel model)

#### getEntity

    BaseEntityModel getEntity​(EntityEnum type,
                              Long id)

#### getAllEntities

    List<BaseEntityModel> getAllEntities​(EntityEnum type)

#### getAllEntitiesByField

    List<BaseEntityModel> getAllEntitiesByField​(EntityEnum type,
                                                Object fieldValue)

#### updateEntity

    void updateEntity​(EntityEnum type,
                      BaseEntityModel model)

#### removeEntity

    void removeEntity​(EntityEnum type,
                      Long id)